    PROGRAM d01bcfe

!      D01BCF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : d01bcf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: n = 7, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: a, b, c, d
       INTEGER                         :: ifail, itype, j
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: abscis(n), weight(n)
!      .. Executable Statements ..
       WRITE (nout,*) 'D01BCF Example Program Results'

       a = 0.0E0_nag_wp
       b = 1.0E0_nag_wp
       c = 0.0E0_nag_wp
       d = 0.0E0_nag_wp
       itype = -3

       ifail = 0
       CALL d01bcf(itype,a,b,c,d,n,weight,abscis,ifail)

       WRITE (nout,*)
       WRITE (nout,99999) 'Laguerre formula,', n, ' points'
       WRITE (nout,*)
       WRITE (nout,*) '      Abscissae             Weights'
       WRITE (nout,*)
       WRITE (nout,99998) (abscis(j),weight(j),j=1,n)

99999  FORMAT (1X,A,I3,A)
99998  FORMAT (1X,E15.5,5X,E15.5)
    END PROGRAM d01bcfe
